Error
A valid request URL is required to generate request examples{
"results": {
"files": [
{
"createdAt": "2023-11-07T05:31:56Z",
"sizeBytes": 123,
"contentType": "<string>",
"filename": "<string>",
"kind": "instruction",
"fileUuid": "<string>"
}
],
"createdByUserUuid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"isDefault": true,
"extraInstructions": "<string>",
"description": "<string>",
"name": "<string>",
"slug": "<string>",
"organizationUuid": "<string>",
"designUuid": "<string>",
"action": "create"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Organizations
Import theme package
Create or atomically replace an organization theme from a canonical
theme-as-code tar package. Send the uncompressed tar as the raw
application/x-tar request body; the manifest slug selects the remote
theme.
PUT
/
api
/
v1
/
org
/
designs
/
package
Error
A valid request URL is required to generate request examples{
"results": {
"files": [
{
"createdAt": "2023-11-07T05:31:56Z",
"sizeBytes": 123,
"contentType": "<string>",
"filename": "<string>",
"kind": "instruction",
"fileUuid": "<string>"
}
],
"createdByUserUuid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"isDefault": true,
"extraInstructions": "<string>",
"description": "<string>",
"name": "<string>",
"slug": "<string>",
"organizationUuid": "<string>",
"designUuid": "<string>",
"action": "create"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Was this page helpful?